#ifndef _DVB_USB_FRIIO_H_
#define _DVB_USB_FRIIO_H_

#define DVB_USB_LOG_PREFIX "friio"
#include "dvb-usb.h"

#define deb_rc(args...)   dprintk(dvb_usb_friio_debug,0x01,args)

#define GL861_WRITE		0x40
#define GL861_READ		0xc0

#define GL861_REQ_I2C_WRITE	0x01
#define GL861_REQ_I2C_READ	0x02

/* For control msg with extra data */
/* In Friio, used for accessing PLL on the secondary I2C bus of FE via GL861 */
#define GL861_REQ_I2C_DATA_CTRL_WRITE	0x03

#define FRIIO_FE_2ND_I2C_REG	0xFE

#define GL861_ALTSETTING_COUNT	2
#define FRIIO_ISOC_ALTSETTING	1
#define FRIIO_BULK_ALTSETTING	0
#endif
