/*
 *  Software Descrambler for BCAS
 *
 *  Copyright (C) 2008 0p1pp1 
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.=
 */
#ifndef _SW_BCAS_H_
#define _SW_BCAS_H_

#include "dvb-usb.h"

struct sw_bcas_state;   /* private */

#if defined(CONFIG_DVB_USB_SW_BCAS) || (defined(CONFIG_DVB_USB_SW_BCAS_MODULE) && defined(MODULE))
extern struct sw_bcas_state *sw_bcas_attach(struct dvb_usb_adapter *adap);
extern void sw_bcas_detach(struct dvb_usb_adapter *adap);
#else
extern inline struct sw_bcas_state *sw_bcas_attach(struct dvb_usb_adapter *adap)
{
	printk(KERN_WARNING "%s: driver disabled by Kconfig\n", __func__);
	return NULL;
}

extern inline void sw_bcas_detach(struct dvb_usb_adapter *adap)
{
	printk(KERN_WARNING "%s: driver disabled by Kconfig\n", __func__);
	return NULL;
}
#endif /* CONFIG_DVB_USB_SW_BCAS */

#endif // _SW_BCAS_H_
